JtdsXid (jTDS API)
Keywords: net.sourceforge.jtds.jdbcx.JtdsXid class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.jdbcx
Class JtdsXid

    java.lang.Object
      net.sourceforge.jtds.jdbcx.JtdsXid

All Implemented Interfaces:
  javax.transaction.xa.Xid

public class JtdsXid
extends java.lang.Object
implements javax.transaction.xa.Xid

jTDS implementation of the `Xid` interface.

Version:
  $Id: JtdsXid.java,v 1.3 2005/04/28 14:29:30 alin_sinpalean Exp $

Field Summary
`private byte[]` | `bqual` The branch qualifier ID.
`int` | `fmtId` The format ID.
`private byte[]` | `gtran` The global transaction ID.
`int` | `hash` Precalculated hash value.
`static int` | `XID_SIZE` The size of an XID in bytes.

Fields inherited from interface javax.transaction.xa.Xid
`MAXBQUALSIZE, MAXGTRIDSIZE`

Constructor Summary
`JtdsXid(byte[] global, byte[] branch)` Construct an XID using two byte arrays.
`JtdsXid(byte[] buf, int pos)` Construct an XID using an offset into a byte buffer.
`JtdsXid(javax.transaction.xa.Xid xid)` Construct an XID as a clone of another XID.

Method Summary
`private void` | `calculateHash()`
`boolean` | `equals(java.lang.Object obj)` Test for equality.
`byte[]` | `getBranchQualifier()`
`int` | `getFormatId()`
`byte[]` | `getGlobalTransactionId()`
`int` | `hashCode()` Get the hash code for this object.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### XID_SIZE

    public static final int XID_SIZE

  The size of an XID in bytes.

  See Also:
    Constant Field Values

### gtran

    private final byte[] gtran

  The global transaction ID.

### bqual

    private final byte[] bqual

  The branch qualifier ID.

### fmtId

    public final int fmtId

  The format ID.

### hash

    public int hash

  Precalculated hash value.

Constructor Detail

### JtdsXid

    public JtdsXid(byte[] buf,
                   int pos)

  Construct an XID using an offset into a byte buffer.

Parameters:
  `buf` - the byte buffer
  `pos` - the offset

### JtdsXid

    public JtdsXid(byte[] global,
                   byte[] branch)

  Construct an XID using two byte arrays.

Parameters:
  `global` - the global transaction id
  `branch` - the transaction branch

### JtdsXid

    public JtdsXid(javax.transaction.xa.Xid xid)

  Construct an XID as a clone of another XID.

Method Detail

### calculateHash

    private void calculateHash()

### hashCode

    public int hashCode()

  Get the hash code for this object.

  Returns:
    the hash value of this object as a `int`

### equals

    public boolean equals(java.lang.Object obj)

  Test for equality.

  Parameters:
    `obj` - the object to test for equality with this
  Returns:
    `boolean` true if the parameter equals this

### getFormatId

    public int getFormatId()

  Specified by:
    `getFormatId` in interface `javax.transaction.xa.Xid`

### getBranchQualifier

    public byte[] getBranchQualifier()

  Specified by:
    `getBranchQualifier` in interface `javax.transaction.xa.Xid`

### getGlobalTransactionId

    public byte[] getGlobalTransactionId()

  Specified by:
    `getGlobalTransactionId` in interface `javax.transaction.xa.Xid`

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009